Subject: Re: [Coco] C Compiler
From: Willard Goosey <[email-masked]>
To: CoCoList for Color Computer Enthusiasts <[email-masked]>
Date: Thu, 26 May 2011 03:34:22 -0600
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

On Wed, May 25, 2011 at 07:53:10PM -0700, Dean Leiber wrote:
> Does anyone have a List (& Download) of all the most recent 'C'  
> Compiler modules., Libraries, Docs, etc.?
> It would be nice to do be able to do some development via MESS, but  
> I'd like to make sure I have all the latest
> modules, etc.

This is somewhat out of date...  But is a good start. Unless otherwise
stated, all .lzh and .ar files mentioned are on rtsi.  Most have docs
and source included, or in a seperate file in the same directory.

---------------------------
>From Dev Sys:
lib/sys.l
lib/cgfx.l
defs/wind.h
defs/stdmenu.h
defs/mouse.h
defs/buffs.h
cmds/rma
cmds/rlink
cmds/rdump
cmds/make

>From original C compiler
cmds/cc1
    c.prep
    c.pass1
    c.pass2
    c.opt
    c.asm
    c.link
defs/
    ctype.h
    direct.h
    errno.h
    modes.h
    module.h
    os9.h
    os9defs.h
    setjmp.h
    sgstat.h
    signal.h
    stdio.h
    time.h
lib/
    clib.l
    cstart.r
sources/
    line.c
    prof.c
    rdump.c
sources/sys
    syslib.l obsoleted by Krieder clib?

cc252.lzh  replaces cc1

c.comp     LII compiler same as c.pass1 and c.pass2, with no
           intermediate file.  Faster

cprep19a.lzh  c_prep.  replaces c.prep

solve.lzh   solve.r  arithmatic parser/solver for C code
            expects to be linked agains Krieder Clib

cstart.lzh  replacement lib/cstart.r

clib_krieder_91.lzh Krieders newest clib
     lib/clib.l    Y2K issue in ctime()
         clibt.l

c_defs.lzh  header files for Krieders lib
   These files don't end with newlines!  MUST edit and add terminating
   newlines.
replaces:
    ctype.h
    direct.h
    errno.h
    modes.h
    module.h
    os9.h
    setjmp.h
    sgstat.h
    signal.h
    stdio.h   should have a prototype for FILE *fopen()
    time.h

ansifront012.lzh 
adds cmds/ansifront

cgfx7.ar	has a horrible bug in getenv()
replaces lib/cgfx.l
         defs/wind.h
         defs/stdmenu.h
         defs/mouse.h
         defs/buffs.h
cocoskel.lzh  prototype MultiVue app
    src/cocoskel/mymenu.h
                /skel.c
                /skel.make

unixinclude.lzh
    replaces defs/stdlib.h  change the proto of atof to return double
    adds     defs/limits.h
             defs/sys/cdef.h
             defs/sys/types.h

cdefs.ar older Krieder headers, has files newer version doesn't have

termcap_level2.lzh  
	lib/termcap.l
        defs/ttydefs.h
	why, no it doesn't have a termcap.h, why do you ask?

varargs.lzh
     lib/varargs.l
     defs/varargs.h

guilib.lzh
     lib/gui.l
     defs/gui.h

copt2_12.lzh
     cmds/copt2
     cmds/rmxlab
     sys/patterns.dat

regexp.lzh
     lib/regexp.l
     defs/regexp.h
     defs/regmagic.h

defs/bdraw.h  not sure where I got this
defs/graphi.h not sure where I got this
	These are both cgfx replacements

defs/mathlib.h original MW math lib?
lib/mathlib.l 
defs/graphics.h header for graflib
lib/graflib.l   LI VDG graphics lib
	These were merged with clib.l on a weird disk

lb_C_Lib_splitter.lzh
	cmds/lb

cntx_5.lzh   sort of a mini-LINT.  Very useful  Gene's site
	cmds/cntx

triglib   high-precision math lib.  Gene's site

curses010.lzh  	experimental, has bugs, my site
	lib/curses.l
	defs/termcap.h can get this elsewhere, but this one matches 
	defs/curses.h

unixlib.lzh or unixlib.ar  requires a setnuid() function
	lib/unix.l

SHF80.zip    SHF's site
	lib/debug.l
	lib/getargs.l
	lib/cos9.l
	lib/fcgfx.l
	defs/debug.h
	defs/cos9.h
	defs/getargs.h

alib.lzh or alib.ar  
	lib/alib.l	AWESOME lib for assembly programming with rma
			No /dd/lib is complete without it!

make_tk.lzh	This is the make to use.  It's that simple.

rma_1_3.lzh	patches rma into r63

abandoned/unusable no docs, headers, or source
dbg.l, mylib.l

-------------------------------

That oughta get you started.

Willard
-- 
Willard Goosey  [email-masked]
Socorro, New Mexico, USA
I search my heart and find Cimmeria, land of Darkness and the Night.
  -- R.E. Howard

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco